Bug 104793 - 3C900B- causes many problems.
3C900B- causes many problems.
Status: CLOSED WONTFIX
Product: Red Hat Linux Beta
Classification: Retired
Component: kernel (Show other bugs)
beta1
i686 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks: 104794 104795
  Show dependency treegraph
 
Reported: 2003-09-21 21:40 EDT by Jim Cornette
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-24 22:55:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Cornette 2003-09-21 21:40:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
When system is booting up. There are errors reported by th ethernet
initialization that a cable is unplugged. This also prevents an ip address from
being found through dhcp initially.
 it gets an address through dhcp. I am then able to communicate on the Internet.
The main problems are that it thinks my 3com vortex bomerang PCI card is
unplugged and manually having to run dhclient to connect to the Internet.

Additional problems are that GNOME fails to initialize. So I use KDE, which does
initialize.

Also, mozilla will not allow me to login to formas, such as the RHN network.
also, if I was to type in a password for mail, mozilla would lockup.

This problem has happened with an upgrade from RHL 7.3 to severn and also with a
fresh install of Severn, from scratch.


If I manually run dhcl,ient

Version-Release number of selected component (if applicable):
redhat-config-network-1.3.6-1

How reproducible:
Always

Steps to Reproduce:
1.start up computer
2.notice eth0 messages
3.see message regarding cable unplugged
4. Notice there is no connection to the Internet.
    

Actual Results:  1. boots up
2. displays message, cable unplugged
3. checking cable, cable alright
4. could not access network

Expected Results:  Boots up with all ok green messages.
detects all devices properly
can connect to the ethernet without manually running dhclient

Additional info:

I am running on a PIII 800 MHz computer that the motherboard is based on the 815
chipset. Most IRQs are assigned through pci
Comment 1 Harald Hoyer 2003-09-22 05:50:33 EDT
reassigning to initscripts (maybe kernel problem?)
Comment 2 Harald Hoyer 2003-09-22 05:50:50 EDT
reassigning to initscripts (maybe kernel problem?)
Comment 3 Bill Nottingham 2003-09-22 11:10:01 EDT
Yeah, the driver is almost certainly lying about its link state.
Comment 4 Jim Cornette 2003-09-23 13:00:43 EDT
This buggy driver for my 3com vortex boomerang card causes GNOME to lockup on
initialization also. If I start X, GNOME comes up normally. To get my ethernet
card up, I ran dhclient from a gnome-terminal and was able to connect to the
Internet. GNOME would not shut down properly. I had to run "shutdown -h 0" from
the command line to shut down my system.

I am also having problems with mozilla locking up and think that it is related
to this bug. It locks up when attempting to fill out forms or trying to setup
mail accounts. 
Comment 5 Jim Cornette 2003-09-23 19:36:05 EDT
I added a different Ethernet Card to my system to see if the problem was unique
to the vortex 3com card. It is a 3com card also. It works alright. The newly
added card is a 3C905C (Tornado) card and it works fine.

The vortex card has worked since RHL 5.2 and still works for RHL 9 on the same
machine.

Below is my dmesg output. With the faulty driver. I had problems with mozilla
locking up, gnome not starting and logging into the terminal. I hope this driver
is fixed or the 3c509 driver for the vortex card is brought back. This problem
would deter a lot of potential business and personal computer users from Red
Hat. (Not me though, I was intrigued by the chain reaction)

Jim

------------------------

# dmesg
Linux version 2.4.22-1.2051.nptl (bhcompile@daffy.perf.redhat.com) (gcc version
3.2.3 20030422 (Red Hat Linux 3.2.3-6)) #1 Wed Sep 17 21:32:17 EDT 2003
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000e0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000001fee0000 (usable)
 BIOS-e820: 000000001fee0000 - 000000001fef8000 (ACPI data)
 BIOS-e820: 000000001fef8000 - 000000001ff00000 (ACPI NVS)
 BIOS-e820: 00000000fec00000 - 00000000fec01000 (reserved)
 BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
0MB HIGHMEM available.
510MB LOWMEM available.
ACPI: have wakeup address 0xc0001000
On node 0 totalpages: 130784
zone(0): 4096 pages.
zone(1): 126688 pages.
zone(2): 0 pages.
ACPI: RSDP (v000 AMI                                       ) @ 0x000ff8e0
ACPI: RSDT (v001  INTEL SOLANO70 0x20010719 IMA  0x00000097) @ 0x1fef0000
ACPI: FADT (v001  INTEL SOLANO70 0x20010719 IMA  0x00000097) @ 0x1fef1000
ACPI: DSDT (v001 SSM707 SSM70719 0x00000019 MSFT 0x0100000c) @ 0x00000000
Kernel command line: ro root=LABEL=/1 hdd=ide-scsi
ide_setup: hdd=ide-scsi
Initializing CPU#0
Detected 801.841 MHz processor.
Console: colour VGA+ 80x25
Calibrating delay loop... 1599.07 BogoMIPS
Memory: 513184k/523136k available (1507k kernel code, 9564k reserved, 1113k
data, 136k init, 0k highmem)
Dentry cache hash table entries: 65536 (order: 7, 524288 bytes)
Inode cache hash table entries: 32768 (order: 6, 262144 bytes)
Mount cache hash table entries: 512 (order: 0, 4096 bytes)
Buffer cache hash table entries: 32768 (order: 5, 131072 bytes)
Page-cache hash table entries: 131072 (order: 7, 524288 bytes)
CPU: L1 I cache: 16K, L1 D cache: 16K
CPU: L2 cache: 256K
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
CPU:     After generic, caps: 0383fbff 00000000 00000000 00000000
CPU:             Common caps: 0383fbff 00000000 00000000 00000000
CPU: Intel Pentium III (Coppermine) stepping 06
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Checking 'hlt' instruction... OK.
POSIX conformance testing by UNIFIX
mtrr: v1.40 (20010327) Richard Gooch (rgooch@atnf.csiro.au)
mtrr: detected mtrr type: Intel
ACPI: Subsystem revision 20030813
ACPI: Interpreter disabled.
PCI: PCI BIOS revision 2.10 entry at 0xfdba1, last bus=1
PCI: Using configuration type 1
PCI: Probing PCI hardware
PCI: Probing PCI hardware (bus 00)
Transparent bridge - Intel Corp. 82801AA PCI Bridge
PCI: Using IRQ router PIIX/ICH [8086/2410] at 00:1f.0
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
Linux NET4.0 for Linux 2.4
Based upon Swansea University Computer Society NET3.039
Initializing RT netlink socket
apm: BIOS version 1.2 Flags 0x03 (Driver version 1.16)
Starting kswapd
VFS: Disk quotas vdquot_6.5.1
Asus Laptop ACPI Extras version 0.24a
  Couldn't get the DSDT table header
  Error registering Asus Laptop ACPI Extras Driver
        -0420: *** Error: Could not allocate an object descriptor
pty: 2048 Unix98 ptys configured
Serial driver version 5.05c (2001-07-08) with MANY_PORTS MULTIPORT SHARE_IRQ
SERIAL_PCI ISAPNP enabled
ttyS0 at 0x03f8 (irq = 4) is a 16550A
ttyS1 at 0x02f8 (irq = 3) is a 16550A
Real Time Clock Driver v1.10e
NET4: Frame Diverter 0.46
RAMDISK driver initialized: 16 RAM disks of 4096K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 7.00beta4-2.4
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
ICH: IDE controller at PCI slot 00:1f.1
ICH: chipset revision 2
ICH: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0xffa0-0xffa7, BIOS settings: hda:DMA, hdb:DMA
    ide1: BM-DMA at 0xffa8-0xffaf, BIOS settings: hdc:DMA, hdd:pio
hda: WDC AC26400B, ATA DISK drive
hdb: Maxtor 33073H3, ATA DISK drive
blk: queue c040f3a0, I/O limit 4095Mb (mask 0xffffffff)
blk: queue c040f4f0, I/O limit 4095Mb (mask 0xffffffff)
hdc: CD-ROM Drive/F5B, ATAPI CD/DVD-ROM drive
hdd: 12X8X32, ATAPI CD/DVD-ROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide1 at 0x170-0x177,0x376 on irq 15
hda: attached ide-disk driver.
hda: task_no_data_intr: status=0x51 { DriveReady SeekComplete Error }
hda: task_no_data_intr: error=0x04 { DriveStatusError }
hda: host protected area => 1
hda: 12594960 sectors (6449 MB) w/512KiB Cache, CHS=784/255/63, UDMA(33)
hdb: attached ide-disk driver.
hdb: host protected area => 1
hdb: 60032448 sectors (30737 MB) w/2048KiB Cache, CHS=3736/255/63, UDMA(66)
Partition check:
 hda: hda1 hda2
 hdb: hdb1 hdb2 hdb3 hdb4
ide: late registration of driver.
md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
Initializing Cryptographic API
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP, IGMP
IP: routing cache hash table of 4096 buckets, 32Kbytes
TCP: Hash tables configured (established 32768 bind 65536)
Linux IP multicast router 0.06 plus PIM-SM
NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
RAMDISK: Compressed image found at block 0
Freeing initrd memory: 151k freed
VFS: Mounted root (ext2 filesystem).
Journalled Block Device driver loaded
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
Freeing unused kernel memory: 136k freed
usb.c: registered new driver usbdevfs
usb.c: registered new driver hub
usb-uhci.c: $Revision: 1.275 $ time 21:40:45 Sep 17 2003
usb-uhci.c: High bandwidth mode enabled
PCI: Found IRQ 9 for device 00:1f.2
PCI: Setting latency timer of device 00:1f.2 to 64
usb-uhci.c: USB UHCI at I/O 0xef80, IRQ 9
usb-uhci.c: Detected 2 ports
usb.c: new USB bus registered, assigned bus number 1
hub.c: USB hub found
hub.c: 2 ports detected
usb-uhci.c: v1.275:USB Universal Host Controller Interface driver
usb.c: registered new driver hiddev
usb.c: registered new driver hid
hid-core.c: v1.8.1 Andreas Gal, Vojtech Pavlik <vojtech@suse.cz>
hid-core.c: USB HID support drivers
mice: PS/2 mouse device common for all mice
hub.c: new USB device 00:1f.2-2, assigned address 2
hub.c: USB hub found
hub.c: 4 ports detected
EXT3 FS 2.4-0.9.19, 19 August 2002 on ide0(3,2), internal journal
Adding Swap: 2216960k swap-space (priority -1)
hub.c: new USB device 00:1f.2-2.2, assigned address 3
usb.c: USB device 3 (vend/prod 0x3f0/0x505) is not claimed by any active
driver.usb.c: registered new driver usbscanner
scanner.c: USB scanner device (0x03f0/0x0505) now attached to scanner0
scanner.c: 0.4.13:USB Scanner Driver
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.19, 19 August 2002 on ide0(3,1), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.19, 19 August 2002 on ide0(3,66), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.19, 19 August 2002 on ide0(3,65), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.19, 19 August 2002 on ide0(3,67), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
hdc: attached ide-cdrom driver.
hdc: ATAPI 52X CD-ROM drive, 128kB Cache, DMA
Uniform CD-ROM driver Revision: 3.12
SCSI subsystem driver Revision: 1.00
hdd: attached ide-scsi driver.
scsi0 : SCSI host adapter emulation for IDE ATAPI devices
  Vendor: ATAPI     Model: CD-R/RW 12X8X32   Rev: 9.EB
  Type:   CD-ROM                             ANSI SCSI revision: 02
IA-32 Microcode Update Driver: v1.11 <tigran@veritas.com>
parport0: PC-style at 0x378 (0x778) [PCSPP,TRISTATE,EPP]
parport0: irq 7 detected
parport0: Printer, HEWLETT-PACKARD DESKJET 810C
inserting floppy driver for 2.4.22-1.2051.nptl
Floppy drive(s): fd0 is 1.44M
FDC 0 is a post-1991 82077
PCI: Found IRQ 11 for device 01:00.0
PCI: Sharing IRQ 11 with 00:02.0
3c59x: Donald Becker and others. www.scyld.com/network/vortex.html
See Documentation/networking/vortex.txt
01:00.0: 3Com PCI 3c905C Tornado at 0xd880. Vers LK1.1.18-ac
 00:01:02:fa:69:f3, IRQ 11
  product code 4552 rev 00.13 date 12-01-00
  Internal config register is 1800000, transceivers 0xa.
  8K byte-wide RAM 5:3 Rx:Tx split, autoselect/Autonegotiate interface.
  MII transceiver found at address 24, status 782d.
  Enabling bus-master transmits and whole-frame receives.
01:00.0: scatter/gather enabled. h/w checksums enabled
divert: allocating divert_blk for eth0
PCI: Found IRQ 10 for device 01:01.0
PCI: Sharing IRQ 10 with 00:1f.3
PCI: Sharing IRQ 10 with 00:1f.5
See Documentation/networking/vortex.txt
01:01.0: 3Com PCI 3c900 Cyclone 10Mbps TPO at 0xdc00. Vers LK1.1.18-ac
 00:10:5a:14:8d:ee, IRQ 10
  product code 504e rev 00.4 date 08-02-98
  Internal config register is 1800000, transceivers 0x8.
  8K byte-wide RAM 5:3 Rx:Tx split, autoselect/Autonegotiate interface.
  MII transceiver found at address 24, status 1809.
  Enabling bus-master transmits and whole-frame receives.
01:01.0: scatter/gather enabled. h/w checksums enabled
divert: allocating divert_blk for eth1
divert: freeing divert_blk for eth0
divert: freeing divert_blk for eth1
Attached scsi CD-ROM sr0 at scsi0, channel 0, id 0, lun 0
sr0: scsi3-mmc drive: 32x/32x writer cd/rw xa/form2 cdda tray
ip_tables: (C) 2000-2002 Netfilter core team
PCI: Found IRQ 11 for device 01:00.0
PCI: Sharing IRQ 11 with 00:02.0
3c59x: Donald Becker and others. www.scyld.com/network/vortex.html
See Documentation/networking/vortex.txt
01:00.0: 3Com PCI 3c905C Tornado at 0xd880. Vers LK1.1.18-ac
 00:01:02:fa:69:f3, IRQ 11
  product code 4552 rev 00.13 date 12-01-00
  Internal config register is 1800000, transceivers 0xa.
  8K byte-wide RAM 5:3 Rx:Tx split, autoselect/Autonegotiate interface.
  MII transceiver found at address 24, status 782d.
  Enabling bus-master transmits and whole-frame receives.
01:00.0: scatter/gather enabled. h/w checksums enabled
divert: allocating divert_blk for eth0
PCI: Found IRQ 10 for device 01:01.0
PCI: Sharing IRQ 10 with 00:1f.3
PCI: Sharing IRQ 10 with 00:1f.5
See Documentation/networking/vortex.txt
01:01.0: 3Com PCI 3c900 Cyclone 10Mbps TPO at 0xdc00. Vers LK1.1.18-ac
 00:10:5a:14:8d:ee, IRQ 10
  product code 504e rev 00.4 date 08-02-98
  Internal config register is 1000000, transceivers 0x8.
  8K byte-wide RAM 5:3 Rx:Tx split, autoselect/10baseT interface.
  Enabling bus-master transmits and whole-frame receives.
01:01.0: scatter/gather enabled. h/w checksums enabled
divert: allocating divert_blk for eth1
hdc: drive_cmd: status=0x51 { DriveReady SeekComplete Error }
hdc: drive_cmd: error=0x04Aborted Command
hdd: drive_cmd: status=0x51 { DriveReady SeekComplete Error }
hdd: drive_cmd: error=0x04
hdd: drive_cmd: status=0x58 { DriveReady SeekComplete DataRequest }
parport0: PC-style at 0x378 (0x778) [PCSPP,TRISTATE,EPP]
parport0: irq 7 detected
parport0: Printer, HEWLETT-PACKARD DESKJET 810C
lp0: using parport0 (polling).
lp0: console ready
Linux agpgart interface v0.99 (c) Jeff Hartmann
agpgart: Maximum main memory to use for agp memory: 438M
agpgart: agpgart: Detected an Intel i815 Chipset.
agpgart: AGP aperture is 64M @ 0xf8000000
memory : ddf0da94
memory : 00000000
memory : ddf0dadc
cdrom: This disc doesn't have any tracks I recognize!
Intel 810 + AC97 Audio, version 0.24, 21:40:34 Sep 17 2003
PCI: Found IRQ 10 for device 00:1f.5
PCI: Sharing IRQ 10 with 00:1f.3
PCI: Sharing IRQ 10 with 01:01.0
PCI: Setting latency timer of device 00:1f.5 to 64
i810: Intel ICH 82801AA found at IO 0xef00 and 0xe800, MEM 0x0000 and 0x0000, IRQ 10
i810_audio: Audio Controller supports 2 channels.
i810_audio: Defaulting to base 2 channel mode.
i810_audio: Resetting connection 0
ac97_codec: AC97 Audio codec, id: CRY52 (Cirrus Logic CS4299 rev D)
i810_audio: AC'97 codec 0 supports AMAP, total channels = 2
Comment 6 Jim Cornette 2003-09-24 22:55:47 EDT
The ethernet card that has caused the stream of failures has been removed from
my machine.

EtherLink XL PCI
3C900B-TPO
03-0147-000
REV A

The card has been reassigned to Win2K duty. \\\\\\\\

END
Comment 7 Brian Minor 2004-01-19 02:30:47 EST
I have also experienced this same exact issue with the 3Com 3C905B-TX 
series of NIC's.  This seems to be a pretty serious issue for me as I 
am not able to deploy the newer versions of Red Hat or Fedora.  I 
have seen this issue in both Red Hat v9.0 and also Fedora Core 1.
Comment 8 Brian Minor 2004-01-19 02:34:54 EST
More specific card details are below:

3Com Etherlink XL PCI
3C905-TX
03-0104-004
Rev B

I have tried several different cards in this series and all have 
exhibited the same error.  As many new motherboards are also coming 
pre-configured with this card onboard (HP desktops among others) I 
consider this a significant issue that deserves addressing.

Note You need to log in before you can comment on or make changes to this bug.